## Create an IOI for a visible upcoming offering.

`$ clst v1:private-markets create-ioi`

**post** `/v1/private-markets/iois`

Create an IOI for a visible upcoming offering.

### Parameters

- `--account-id: number`

  Query param

- `--notional-amount: string`

  Body param

- `--offering-id: string`

  Body param

- `--nda-acceptance: optional object { accepted, agreement_id, authority_confirmed }`

  Body param: Required only when the offering's attached SPV has an NDA agreement.

### Returns

- `V1PrivateMarketNewIoiResponse: BaseResponse`

  - `data: IoiResource`

    IOI list item with the campaign identity needed to render it.

    - `company: object { id, name }`

      Company identity embedded in an IOI list item.

      - `id: string`

      - `name: string`

    - `offering: object { id, headline }`

      Offering identity embedded in an IOI list item.

      - `id: string`

      - `headline: string`

### Example

```cli
clst v1:private-markets create-ioi \
  --api-key 'My API Key' \
  --account-id 0 \
  --notional-amount 100000.00 \
  --offering-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
```

#### Response

```json
{
  "data": {
    "account_id": 19816,
    "company": {
      "id": "b2b3b4b5-c2c3-d2d3-e2e3-e4e5e6e7e8e9",
      "name": "Acme Robotics"
    },
    "created_at": "2026-05-30T02:37:10.709695Z",
    "currency": "USD",
    "id": "019dbae9-73b4-7760-a947-8b4bcab57c49",
    "notional_amount": "100000.00",
    "offering": {
      "headline": "Series D opportunity",
      "id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8"
    },
    "offering_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
    "updated_at": "2026-05-30T02:37:10.709695Z"
  },
  "error": null,
  "metadata": {
    "request_id": "7c8d9e0f-1a2b-3c4d-5e6f-7a8b9c0d1e2f"
  }
}
```
